unit Unit1;

interface

uses
  Windows, Messages, SysUtils, StrUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, AdvNavBar, TodoList, DBTodoList, DB, DBTables, XPMan,
  AdvMemo, DBAdvMemo, DBCtrls, StdCtrls, Mask, AdvEdit, AdvEdBtn,
  DBPlannerDatePicker, ImgList, Buttons, AdvPanel, RzForms, RzTray, RzButton,
  ADODB;

type
  TForm1 = class(TForm)
    DataSource1: TDataSource;
    ImageList1: TImageList;
    Timer1: TTimer;
    ADOConnection1: TADOConnection;
    ADOTable1: TADOTable;
    procedure Timer1Timer(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3, Unit4;

{$R *.dfm}


procedure TForm1.BitBtn1Click(Sender: TObject);
begin
ADOTable1.Insert;
form2.show;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
    time, result : AnsiString;
begin
form3.edit2.text:=datetostr(date);
form3.edit1.text:=timetostr(now);

form4.label2.Caption:=timetostr(now)+',  '+datetostr(date);

time := form3.edit1.text;
    result := AnsiLeftStr(time , 5);
        form3.edit3.text := result;
end;


end.
